Retrieve a list of dependents

Retrieve a list of dependents#

Description#

Returns a list of all queries that use the table with provided ID as a datasource. If a shared table, this may include queries outside of the current OAuth context. Permission is checked only for the table ID provided, not on the returned list of queries.

GET /api/v1/table/{tableId}/dependents

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

tableId

path

string

true

The unique identifier of the table

cursor

query

string

false

A paging cursor; if included, limit is ignored

limit

query

integer(int32)

false

The number of folders to return, from 1 to 1000; by default, 1000

offset

query

integer(int64)

false

The item to start with on the page, greater than or equal to 0; by default, 0

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/dependents \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/dependents \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/dependents" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/dependents', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with body and cursor properties.

  • body contains an array of QueryDto objects. If the request returns no results, body contains an empty array.

  • cursor contains a paging cursor, which can be included in the next call to the endpoint to retrieve the next set of results. If no additional results, cursor is null.

Example Responses#

{
  "body": [
    {
      "created": "string",
      "definition": {
        "columns": [
          {
            "columnType": "string",
            "name": "string"
          }
        ],
        "decimalPlaces": "integer",
        "filters": [
          {
            "betweenValue": "string",
            "columnType": "string",
            "exclude": "boolean",
            "filter": "string",
            "filterValues": [
              "string"
            ],
            "name": "string",
            "value": "string"
          }
        ],
        "grandTotalEnabled": "string",
        "id": "string",
        "multipleHeaders": "boolean",
        "pivotViewType": "string",
        "rows": [
          {
            "name": "string",
            "type": "string"
          }
        ],
        "sortColumns": [
          "string"
        ],
        "subtotalEnabled": "string",
        "values": [
          {
            "active": "boolean",
            "aggregation": "string",
            "columnType": "string",
            "name": "string"
          }
        ]
      },
      "dependencies": [
        {
          "databaseId": "string",
          "system": "string",
          "tableId": "string"
        }
      ],
      "description": "string",
      "historyRevision": "integer",
      "id": "string",
      "isShared": "boolean",
      "lastRun": "string",
      "lastRunBy": "string",
      "name": "string",
      "parameters": [
        {
          "alias": "string",
          "choices": [
            "undefined"
          ],
          "id": "string",
          "label": "string",
          "listType": "string",
          "mode": "string",
          "name": "string",
          "overridable": "boolean",
          "reference": "undefined",
          "selectListId": "string",
          "type": "string",
          "value": "undefined"
        }
      ],
      "parentId": "string",
      "primaryQueryResultId": "string",
      "queryText": "string",
      "temporary": "boolean",
      "type": "string",
      "updated": "string",
      "userId": "string",
      "version": "integer"
    }
  ],
  "code": "integer",
  "cursor": "string"
}